<?php
/**
 * Plugin Name:     Exemplo Tabelas
 * Plugin URI:      PLUGIN SITE HERE
 * Description:     PLUGIN DESCRIPTION HERE
 * Author:          YOUR NAME HERE
 * Author URI:      YOUR SITE HERE
 * Text Domain:     exemplo-tabelas
 * Domain Path:     /languages
 * Version:         0.1.0
 *
 * @package         Exemplo_Tabelas
 */

// Your code starts here.


require_once( dirname(__FILE__) . '/includes/install.php');
register_activation_hook( __FILE__, 'Exemplo_Tabelas_Install::install' );


function exemplo_tabelas_create( $name = '', $quantity = 0) {

	global $wpdb;

	$wpdb->insert( 
		$wpdb->prefix . 'exemplo_tabela', 
		array( 
			'name' => $name, 
			'quantity' => $quantity
		), 
		array( 
			'%s', 
			'%f' 
		) 
	);

	if( isset( $wpdb->insert_id ) ) {
		return $wpdb->insert_id; 
	} else {
		return false;
	}
}

exemplo_tabelas_create('item 1', 10);


function exemplo_tabelas_update( $id, $name = '', $quantity = 0) {

	global $wpdb;

	$update = $wpdb->update( 
		$wpdb->prefix . 'exemplo_tabela',
		array( 
			'name' => $name,	// string
			'quantity' => $quantity	// integer (number) 
		), 
		array( 'id' => $id ), 
		array( 
			'%s',	// value1
			'%f'	// value2
		), 
		array( '%d' ) 
	);

	return $update;

}

//exemplo_tabelas_update( 2, 'item 2', 9.34 );

function exemplo_tabelas_delete( $id ) {

	global $wpdb;

	return $wpdb->delete( 
		$wpdb->prefix . 'exemplo_tabela',
		array( 'id' => $id ), 
		array( '%d' ) 
	);

}

//exemplo_tabelas_delete(2);


function exemplo_tabelas_get() {

	global $wpdb;

	$resultados = $wpdb->get_results(
		"SELECT * FROM {$wpdb->prefix}exemplo_tabela"
	);

	if( !empty($resultados) ) {

		echo '<ul>';

		foreach( $resultados as $result ) {

			echo '<li>' . $result->id . ' - ' . $result->name . ' ('.$result->quantity.')</li>';

		}

		echo '</ul>';

	}

}
















