<?php

class Exemplo_Tabelas_Install {


	public static function install() {

		global $wpdb;

		$wpdb->hide_errors();

		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

		$collation = '';

		if( $wpdb->has_cap('collation') ) {
			if( ! empty( $wpdb->charset ) ) {
				$collation .= "DEFAULT CHARACTER SET $wpdb->charset";
			}

			if( ! empty( $wpdb->collate ) ) { 
				$collation .= " COLLATE $wpdb->collate";
			}

		}

		$sql = "
CREATE TABLE {$wpdb->prefix}exemplo_tabela (
	id bigint(20) NOT NULL AUTO_INCREMENT,
	name text NOT NULL,
	quantity double NOT NULL,
	PRIMARY KEY (id)
) $collation;
		";

		dbDelta( $sql );

		return true;

	}

}